/*
HDD Explorer AppList Editor 
Copyright (c) 2006 Bruno Freitas
bootsector@ig.com.br
 
Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
of the Software, and to permit persons to whom the Software is furnished to do
so, subject to the following conditions:
 
The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.
 
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
*/

import java.util.*;

public class Aplicacao {
    private String titulo, autor, descricao, executavel;
    
    public Aplicacao() {
        titulo = autor = descricao = executavel = "";
    }
    
    public void setTitulo(String titulo) {
        if (titulo.length() > 127)
            titulo = titulo.substring(0, 127);
        
        this.titulo = titulo;
    }
    
    public String getTitulo() {
        return titulo;
    }
    
    public void setAutor(String autor) {
        if (autor.length() > 31)
            autor = autor.substring(0, 31);
        
        this.autor = autor;
    }
    
    public String getAutor() {
        return autor;
    }
    
    public void setDescricao(String descricao) {
        if (descricao.length() > 1023)
            descricao = descricao.substring(0, 1023);
        
        descricao = descricao.replace("\\n", "\n");
        
        this.descricao = descricao;
    }
    
    public String getDescricao() {
        return descricao;
    }
    
    public void setExecutavel(String executavel) {
        if (executavel.length() > 127)
            executavel = executavel.substring(0, 127);
        
        this.executavel = executavel;
    }
    
    public String getExecutavel() {
        return executavel;
    }
    
    public String toString() {
        return titulo;
    }
}
